#ifndef ZYPE_HPP_
#define ZYPE_HPP_

#include <Block/SpriteBlock/BasicBlock/BasicBlock.hpp>

class Zype : public BasicBlock
{
public:
    Zype(std::string name);

    virtual bool canManuallyDig() override;
    virtual glm::vec3 getLightColor(uint8_t meta) override;
    virtual void getEffects(uint8_t meta, glm::vec3 offset, std::vector<std::shared_ptr<BlockEffect>> &effects) override;
};

#endif